man.justify
Prev | Hyphenation, justification, and breaking | Next

## Name

man.justify — Justify text to both right and left margins?

## Synopsis

    <xsl:param name="man.justify">0</xsl:param>

## Description

If non-zero, text is justified to both the right and left margins (or, in roff terminology, "adjusted and filled" to both the right and left margins). If zero (the default), text is adjusted to the left margin only -- producing what is traditionally called "ragged-right" text.

The default value for this parameter is zero because justified text looks good only when it is also hyphenated. Without hyphenation, excessive amounts of space often end up getting between words, in order to "pad" lines out to align on the right margin.

The problem is that groff is not particularly smart about how it does hyphenation; it can end up hyphenating a lot of things that you don't want hyphenated. So, disabling both justification and hyphenation ensures that hyphens won't get inserted where you don't want to them, and you don't end up with lines containing excessive amounts of space between words.

However, if do you decide to set a non-zero value for the `man.justify` parameter (to enable justification), then you should probably also set a non-zero value for `man.hyphenate` (to enable hyphenation).

Yes, these default settings run counter to how most existing man pages are formatted. But there are some notable exceptions, such as the `perl` man pages.

Prev | Up | Next
man.hyphenate.computer.inlines | Home | man.break.after.slash